> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upwell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create One Stop

> Create a new stop



## OpenAPI

````yaml /api-reference/openapi.json post /api/rest/stops
openapi: 3.1.0
info:
  description: >-
    Upwell is Accounts Receivable automation software for the logistics
    industry. We serve freight brokers, carriers, factors, and anyone who needs
    to get transportation invoices paid.


    Learn more at:


    - [Upwell.com](https://upwell.com)
  title: Upwell REST API
  version: 3.30.2
  termsOfService: https://upwell.com/legal
  contact:
    name: Upwell
    url: https://upwell.com
    email: contact@upwell.com
servers:
  - url: https://api.upwell.com
    description: Production server
  - url: https://staging.api.upwell.com
    description: Staging server
security: []
tags:
  - name: Invoice Approval
    description: Endpoints for managing customer invoice approval workflow
paths:
  /api/rest/stops:
    post:
      tags:
        - Stops
      summary: Create One Stop
      description: Create a new stop
      parameters:
        - description: >-
            Your API key will be used for authentication of the request.
            `Authorization: YOUR_API_KEY`
          in: header
          name: authorization
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                input:
                  $ref: '#/components/schemas/StopsInsertInput'
              type: object
        description: >-
          Query parameters can also be provided in the request body as a JSON
          object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  createStop:
                    description: columns and relationships of "stops"
                    nullable: true
                    properties:
                      address:
                        description: columns and relationships of "addresses"
                        nullable: true
                        properties:
                          city:
                            nullable: true
                            title: String
                            type: string
                          country:
                            $ref: '#/components/schemas/CountryCodeEnum'
                          id:
                            nullable: false
                            title: String
                            type: string
                          name:
                            nullable: true
                            title: String
                            type: string
                          stateOrProvince:
                            nullable: true
                            title: String
                            type: string
                          streetLine1:
                            nullable: true
                            title: String
                            type: string
                          streetLine2:
                            nullable: true
                            title: String
                            type: string
                          streetLine3:
                            nullable: true
                            title: String
                            type: string
                          zipOrPostalCode:
                            nullable: true
                            title: String
                            type: string
                        title: Addresses
                        type: object
                      addressId:
                        nullable: true
                        title: String
                        type: string
                      appointmentEnd:
                        $ref: '#/components/schemas/timestamptz'
                      appointmentStart:
                        $ref: '#/components/schemas/timestamptz'
                      appointmentTimezone:
                        nullable: true
                        title: String
                        type: string
                      appointmentType:
                        $ref: '#/components/schemas/AppointmentTypeEnum'
                      createdAt:
                        $ref: '#/components/schemas/timestamptz'
                      id:
                        nullable: false
                        title: String
                        type: string
                      metadata:
                        nullable: true
                        title: String
                        type: string
                      name:
                        nullable: true
                        title: String
                        type: string
                      notes:
                        nullable: true
                        title: String
                        type: string
                      pieceCount:
                        nullable: true
                        title: Int
                        type: integer
                      referenceNumbers:
                        $ref: '#/components/schemas/jsonb'
                      sequenceNumber:
                        nullable: true
                        title: Int
                        type: integer
                      shipmentId:
                        nullable: false
                        title: String
                        type: string
                      stopType:
                        nullable: true
                        title: String
                        type: string
                      updatedAt:
                        $ref: '#/components/schemas/timestamptz'
                      weightAmount:
                        $ref: '#/components/schemas/float8'
                      weightUnit:
                        nullable: true
                        title: String
                        type: string
                    title: Stops
                    type: object
          description: Responses for POST /api/rest/stops
components:
  schemas:
    StopsInsertInput:
      description: input type for inserting data into table "stops"
      nullable: false
      properties:
        address:
          type: object
          description: AddressesObjRelInsertInput (simplified)
        addressId:
          nullable: true
          title: String
          type: string
        appointmentEnd:
          $ref: '#/components/schemas/timestamptz'
        appointmentStart:
          $ref: '#/components/schemas/timestamptz'
        appointmentTimezone:
          nullable: true
          title: String
          type: string
        appointmentType:
          $ref: '#/components/schemas/AppointmentTypeEnum'
        metadata:
          nullable: true
          title: String
          type: string
        name:
          nullable: true
          title: String
          type: string
        notes:
          nullable: true
          title: String
          type: string
        pieceCount:
          nullable: true
          title: Int
          type: integer
        referenceNumbers:
          $ref: '#/components/schemas/jsonb'
        sequenceNumber:
          nullable: true
          title: Int
          type: integer
        shipmentId:
          nullable: true
          title: String
          type: string
        stopType:
          nullable: true
          title: String
          type: string
        type:
          $ref: '#/components/schemas/StopTypeEnum'
        weightAmount:
          $ref: '#/components/schemas/float8'
        weightUnit:
          nullable: true
          title: String
          type: string
      title: StopsInsertInput
      type: object
    CountryCodeEnum:
      enum:
        - AD
        - AE
        - AF
        - AG
        - AL
        - AM
        - AO
        - AR
        - AT
        - AU
        - AZ
        - BA
        - BB
        - BD
        - BE
        - BF
        - BG
        - BH
        - BI
        - BJ
        - BN
        - BO
        - BR
        - BS
        - BT
        - BW
        - BY
        - BZ
        - CA
        - CD
        - CF
        - CG
        - CH
        - CI
        - CL
        - CM
        - CN
        - CO
        - CR
        - CU
        - CV
        - CY
        - CZ
        - DE
        - DJ
        - DK
        - DM
        - DO
        - DZ
        - EC
        - EE
        - EG
        - ER
        - ES
        - ET
        - FI
        - FJ
        - FM
        - FR
        - GA
        - GB
        - GD
        - GE
        - GH
        - GM
        - GN
        - GQ
        - GR
        - GT
        - GW
        - GY
        - HK
        - HN
        - HR
        - HT
        - HU
        - ID
        - IE
        - IL
        - IN
        - IQ
        - IR
        - IS
        - IT
        - JM
        - JO
        - JP
        - KE
        - KG
        - KH
        - KI
        - KM
        - KN
        - KP
        - KR
        - KW
        - KZ
        - LA
        - LB
        - LC
        - LI
        - LK
        - LR
        - LS
        - LT
        - LU
        - LV
        - LY
        - MA
        - MC
        - MD
        - ME
        - MG
        - MH
        - MK
        - ML
        - MM
        - MN
        - MO
        - MR
        - MT
        - MU
        - MV
        - MW
        - MX
        - MY
        - MZ
        - NA
        - NE
        - NG
        - NI
        - NL
        - 'NO'
        - NP
        - NR
        - NZ
        - OM
        - PA
        - PE
        - PG
        - PH
        - PK
        - PL
        - PR
        - PS
        - PT
        - PW
        - PY
        - QA
        - RO
        - RS
        - RU
        - RW
        - SA
        - SB
        - SC
        - SD
        - SE
        - SG
        - SI
        - SK
        - SL
        - SM
        - SN
        - SO
        - SR
        - SS
        - ST
        - SV
        - SY
        - SZ
        - TD
        - TG
        - TH
        - TJ
        - TL
        - TM
        - TN
        - TO
        - TR
        - TT
        - TV
        - TW
        - TZ
        - UA
        - UG
        - US
        - UY
        - UZ
        - VA
        - VC
        - VE
        - VN
        - VU
        - WS
        - YE
        - ZA
        - ZM
        - ZW
      nullable: false
      title: CountryCodeEnum
    timestamptz:
      nullable: false
      title: timestamptz
      type: string
      format: date-time
      description: >-
        A timestamp with timezone in ISO 8601 format, such as
        2024-12-16T21:57:14.525733+00:00
    AppointmentTypeEnum:
      enum:
        - APT
        - FCFS
      nullable: false
      title: AppointmentTypeEnum
    jsonb:
      nullable: false
      title: jsonb
    float8:
      nullable: false
      title: float8
    StopTypeEnum:
      enum:
        - CONSOLIDATION
        - CROSS_DOCK
        - CUSTOMS
        - DECONSOLIDATION
        - DELIVERY
        - DROP_OFF
        - FUEL_STOP
        - LAYOVER
        - ORIGIN
        - OTHER
        - PICKUP
        - RETURN
        - STORAGE
        - TERMINAL
        - TRANSFER
      nullable: false
      title: StopTypeEnum

````